MIX_GetAudioDecoderProperties(3)

NAME
MIX_GetAudioDecoderProperties - Get the properties associated with a MIX_AudioDecoder.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

SDL_PropertiesID MIX_GetAudioDecoderProperties(MIX_AudioDecoder *audiodecoder);

DESCRIPTION
SDL_mixer offers some properties of its own, but this can also be a convenient place to store app-specific data.

A SDL_PropertiesID is created the first time this function is called for a given MIX_AudioDecoder, if necessary.

The file-specific metadata exposed through this function is identical to those available through MIX_GetAudioProperties(). Please refer to that function's documentation for details.

FUNCTION PARAMETERS

audiodecoder
    the audio decoder to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetAudioProperties(3)